## zeroinstall-injector 0.40

=== Makefile ===


PYTHON=python

MO = $(shell find locale -name '*.po' | sed -e 's/\.po/\.mo/')
PY = $(shell find zeroinstall -name '*.py')
GLADE = $(shell find zeroinstall -name '*.glade' | sed -e 's/\.glade/&.h/')

all: translations
	$(PYTHON) setup.py build

translations: $(MO)

install: all
	$(PYTHON) setup.py install

%.mo: %.po
	msgfmt -o "$@" "$<"

%.glade.h: %.glade
	intltool-extract --type=gettext/glade --update "$<"

locale/zero-install.pot: $(PY) $(GLADE)
	xgettext --language=Python --output=$@ --keyword=_ --keyword=N_ $^

update-po: locale/zero-install.pot
	@for po in locale/*/LC_MESSAGES/zero-install.po; do \
	    echo -e "Merge: $$po: \c"; \
	    msgmerge -v -U $$po locale/zero-install.pot; \
	done

check-po:
	@for po in locale/*/LC_MESSAGES/zero-install.po; do \
	    echo -e "Check: $$po: \c"; \
	    msgfmt -o /dev/null --statistics -v -c $$po; \
	done
clean:
	$(PYTHON) setup.py clean

.PHONY: all install update-po check-po clean

## zeroinstall-injector 0.44

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 MO = $(shell find locale -name '*.po' | sed -e 's/\.po/\.mo/')
 PY = $(shell find zeroinstall -name '*.py')
-GLADE = $(shell find zeroinstall -name '*.glade' | sed -e 's/\.glade/&.h/')
+GTKBUILDER = $(shell find zeroinstall -name '*.ui' | sed -e 's/\.ui/&.h/')
+SH = zeroinstall/zerostore/_unlzma
 
 all: translations
 	$(PYTHON) setup.py build
@@ -17,11 +18,12 @@
 %.mo: %.po
 	msgfmt -o "$@" "$<"
 
-%.glade.h: %.glade
+%.ui.h: %.ui
 	intltool-extract --type=gettext/glade --update "$<"
 
-locale/zero-install.pot: $(PY) $(GLADE)
-	xgettext --language=Python --output=$@ --keyword=_ --keyword=N_ $^
+locale/zero-install.pot: $(PY) $(GTKBUILDER) $(SH)
+	xgettext --language=Python --output=$@ --keyword=N_ $(PY) $(GTKBUILDER)
+	xgettext --language=Shell -j --output=$@ $(SH)
 
 update-po: locale/zero-install.pot
 	@for po in locale/*/LC_MESSAGES/zero-install.po; do \

=== debian/changelog ===
zeroinstall-injector (0.44-1) unstable; urgency=low

  * New upstream release.
  * Fixed some Lintian warnings.

 -- Thomas Leonard <talex5@gmail.com>  Fri, 22 Jan 2010 21:38:31 +0000

zeroinstall-injector (0.43-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Fri, 22 Jan 2010 21:38:27 +0000

zeroinstall-injector (0.42.1-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Fri, 11 Sep 2009 09:54:00 +0100

zeroinstall-injector (0.42-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 06 Sep 2009 11:47:42 +0100

zeroinstall-injector (0.41-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 27 Jun 2009 18:35:01 +0100

zeroinstall-injector (0.40-2) unstable; urgency=low

  * Use --install-layout=deb flag when building. Closes: #527933

 -- Thomas Leonard <talex5@gmail.com>  Sat, 09 May 2009 16:46:32 +0100

zeroinstall-injector (0.40-1) unstable; urgency=low

  * New upstream release.
  * Updated build for changes in Ubuntu's distutils.

 -- Thomas Leonard <talex5@gmail.com>  Fri, 24 Apr 2009 20:36:58 +0100

zeroinstall-injector (0.39-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 08 Mar 2009 12:38:09 +0000

zeroinstall-injector (0.38-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 18 Jan 2009 10:15:51 +0000

zeroinstall-injector (0.37-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 30 Nov 2008 15:57:40 +0000

zeroinstall-injector (0.36-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sat,  6 Sep 2008 11:24:04 +0000

zeroinstall-injector (0.35-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 16 Aug 2008 14:31:33 +0000

zeroinstall-injector (0.34-1) unstable; urgency=low

  * New upstream release. Closes: #483969

 -- Thomas Leonard <talex5@gmail.com>  Wed, 18 Jun 2008 20:02:46 +0000

zeroinstall-injector (0.33-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sun,  4 May 2008 13:49:13 +0000

zeroinstall-injector (0.32-2) unstable; urgency=low

  * Sponsored upload by Jens Peter Secher <jps@debian.org>:
    + Moved the url in the description to the new Homepage field.
    + Bumped Standards-Version to 3.7.3.
    + Removed commented out line in debian/rules to avoid Lintian error.

 -- Thomas Leonard <talex5@gmail.com>  Wed, 26 Mar 2008 21:28:04 +0100

zeroinstall-injector (0.32-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 23 Feb 2008 18:52:21 +0000

zeroinstall-injector (0.31-1) unstable; urgency=low

  * New upstream release. Closes: #443208

 -- Thomas Leonard <talex5@gmail.com>  Sun, 18 Nov 2007 18:54:08 +0000

zeroinstall-injector (0.29-1) unstable; urgency=low

  * New release. Closes: #416162

 -- Thomas Leonard <talex5@gmail.com>  Sat, 23 Jun 2007 07:57:20 +0000

zeroinstall-injector (0.27-1) unstable; urgency=low

  * New release.

 -- Thomas Leonard <talex5@gmail.com>  Tue, 24 Apr 2007 19:28:00 +0100

zeroinstall-injector (0.26-1) unstable; urgency=low

  * New release.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 25 Feb 2007 10:49:45 +0000

zeroinstall-injector (0.25-1) unstable; urgency=low

  * New release.

 -- Thomas Leonard <talex5@gmail.com>  Tue, 23 Jan 2007 20:12:18 +0000

zeroinstall-injector (0.24-1) unstable; urgency=low

  * New release.

 -- Thomas Leonard <talex5@gmail.com>  Thu, 26 Oct 2006 13:53:23 +0100

zeroinstall-injector (0.23-1) unstable; urgency=low

  * New release.

 -- Thomas Leonard <talex5@gmail.com>  Thu, 28 Sep 2006 09:47:38 +0100

zeroinstall-injector (0.22-2) unstable; urgency=low

  * Use python-central to upgrade smoothly between versions.

 -- Thomas Leonard <talex5@gmail.com>  Sat,  2 Sep 2006 15:48:47 +0100

zeroinstall-injector (0.22-1) unstable; urgency=low

  * New release.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 27 Aug 2006 17:00:07 +0100

zeroinstall-injector (0.21-3) unstable; urgency=low

  * Debian package is now 'non-native' (source is a diff from the original
    tarball).

  * Updated to policy version 3.7.2 and moved python-dev to
    build-depends-indep, to make Lintian happy.

  * Made bzip2 required rather than just recommended.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 24 Jun 2006 20:39:12 +0100

zeroinstall-injector (0.21-2) unstable; urgency=low

  * Expanded package description.
  * Added a build-depends on python-dev.

 -- Thomas Leonard <talex5@gmail.com>  Thu, 22 Jun 2006 22:15:31 +0100

zeroinstall-injector (0.21-1) unstable; urgency=low

  * New release.

 -- Thomas Leonard <talex5@gmail.com>  Mon, 29 May 2006 12:02:06 +0100

zeroinstall-injector (0.20-1) unstable; urgency=low

  * New release.

 -- Thomas Leonard <talex5@gmail.com>  Mon,  1 May 2006 10:28:32 +0100

zeroinstall-injector (0.19-1) unstable; urgency=low

  * New release. 

 -- Thomas Leonard <talex5@gmail.com>  Sun, 26 Mar 2006 17:30:21 +0100

zeroinstall-injector (0.18-1) unstable; urgency=low

  * New release.

 -- Thomas Leonard <tal197@users.sourceforge.net>  Sat,  4 Feb 2006 20:08:13 +0000

zeroinstall-injector (0.17-1) unstable; urgency=low

  * New release.

 -- Thomas Leonard <tal197@users.sourceforge.net>  Tue, 16 Oct 2005 13:24:14 +0100

zeroinstall-injector (0.16-1) unstable; urgency=low

  * New release.

 -- Thomas Leonard <tal197@users.sourceforge.net>  Tue, 20 Sep 2005 19:41:12 +0100

zeroinstall-injector (0.15-1) unstable; urgency=low

  * New release.

 -- Thomas Leonard <tal197@users.sourceforge.net>  Fri, 26 Aug 2005 19:40:02 +0100

zeroinstall-injector (0.14-1) unstable; urgency=low

  * New release.

 -- Thomas Leonard <tal197@users.sourceforge.net>  Sun, 14 Aug 2005 20:16:46 +0100

zeroinstall-injector (0.13-1) unstable; urgency=low



=== debian/control ===
Source: zeroinstall-injector
Section: admin
Priority: extra
Maintainer: Thomas Leonard <talex5@gmail.com>
Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5)
Build-Depends-Indep: python-dev
Standards-Version: 3.8.3
Homepage: http://0install.net/
XS-Python-Version: >= 2.5
DM-Upload-Allowed: yes

Package: zeroinstall-injector
Architecture: all
Depends: ${python:Depends}, gnupg, python-gtk2 (>= 2.12), bzip2, binutils, adduser, xdg-utils
Recommends: unzip, rpm, lzma
Suggests: cabextract
XB-Python-Version: ${python:Versions}
Description: run programs by URL
 The Zero Install Injector makes it easy for users to install software without
 needing root privileges. It takes the URL of a program and runs it
 (downloading it first if necessary). Any dependencies of the program are
 fetched in the same way. The user controls which version of the program and
 its dependencies to use.
 .
 Zero Install is a decentralised installation system (there is no central
 repository; all packages are identified by URLs), loosly-coupled (if different
 programs require different versions of a library then both versions are
 installed in parallel, without conflicts), and has an emphasis on security
 (all package descriptions are GPG-signed, and contain cryptographic hashes of
 the contents of each version). Each version of each program is stored in its
 own sub-directory within the Zero Install cache (nothing is installed to
 directories outside of the cache, such as /usr/bin) and no code from the
 package is run during install or uninstall. The system can automatically
 check for updates when software is run.

## zeroinstall-injector 0.48

=== debian/changelog ===
zeroinstall-injector (0.48-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Mon, 31 May 2010 14:59:27 +0100

zeroinstall-injector (0.47-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 01 May 2010 12:30:47 +0100

zeroinstall-injector (0.46-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Fri, 02 Apr 2010 11:23:59 +0100

zeroinstall-injector (0.45-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Tue, 09 Mar 2010 20:27:29 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: extra
 Maintainer: Thomas Leonard <talex5@gmail.com>
 Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5)
-Build-Depends-Indep: python-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://0install.net/
 XS-Python-Version: >= 2.5
 DM-Upload-Allowed: yes
 
 Package: zeroinstall-injector
 Architecture: all
-Depends: ${python:Depends}, gnupg, python-gtk2 (>= 2.12), bzip2, binutils, adduser, xdg-utils
+Depends: ${misc:Depends}, ${python:Depends}, gnupg, python-gtk2 (>= 2.12), bzip2, binutils, adduser, xdg-utils
 Recommends: unzip, rpm, lzma
 Suggests: cabextract
 XB-Python-Version: ${python:Versions}

## zeroinstall-injector 0.49

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 PYTHON=python
 
-MO = $(shell find locale -name '*.po' | sed -e 's/\.po/\.mo/')
-PY = $(shell find zeroinstall -name '*.py')
-GTKBUILDER = $(shell find zeroinstall -name '*.ui' | sed -e 's/\.ui/&.h/')
+MO = $(shell find locale -name '*.po' | sort | sed -e 's/\.po/\.mo/')
+PY = $(shell find zeroinstall -name '*.py' | sort)
+GTKBUILDER = $(shell find zeroinstall -name '*.ui' | sort | sed -e 's/\.ui/&.h/')
 SH = zeroinstall/zerostore/_unlzma
 
 all: translations
@@ -22,8 +22,8 @@
 	intltool-extract --type=gettext/glade --update "$<"
 
 locale/zero-install.pot: $(PY) $(GTKBUILDER) $(SH)
-	xgettext --language=Python --output=$@ --keyword=N_ $(PY) $(GTKBUILDER)
-	xgettext --language=Shell -j --output=$@ $(SH)
+	xgettext --sort-by-file --language=Python --output=$@ --keyword=N_ $(PY) $(GTKBUILDER)
+	xgettext --sort-by-file --language=Shell -j --output=$@ $(SH)
 
 update-po: locale/zero-install.pot
 	@for po in locale/*/LC_MESSAGES/zero-install.po; do \

=== debian/changelog ===
zeroinstall-injector (0.49-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 03 Jul 2010 14:51:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Thomas Leonard <talex5@gmail.com>
 Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0.0
 Homepage: http://0install.net/
 XS-Python-Version: >= 2.5
 DM-Upload-Allowed: yes
@@ -12,7 +12,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, gnupg, python-gtk2 (>= 2.12), bzip2, binutils, adduser, xdg-utils
 Recommends: unzip, rpm, lzma
-Suggests: cabextract
+Suggests: cabextract, packagekit
 XB-Python-Version: ${python:Versions}
 Description: run programs by URL
  The Zero Install Injector makes it easy for users to install software without

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf $(CURDIR)/build
	rm -f $(CURDIR)/zeroinstall/__init__.pyc
	dh_clean 

build-stamp:
	dh_testdir
	python $(CURDIR)/setup.py build
	touch $@

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	python $(CURDIR)/setup.py install --install-layout=deb --root=$(CURDIR)/debian/zeroinstall-injector
	rm -r $(CURDIR)/debian/zeroinstall-injector/usr/man

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman 0launch.1 0alias.1 0store.1 0store-secure-add.1 0desktop.1
	dh_compress
	dh_fixperms
	dh_pycentral
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/zero-install/zeroinstall-injector-(.+)\.tar\.bz2

## zeroinstall-injector 0.51

=== Makefile ===


PYTHON=python

MO = $(shell find share/locale -name '*.po' | sort | sed -e 's/\.po/\.mo/')
PY = $(shell find zeroinstall -name '*.py' | sort)
GTKBUILDER = $(shell find zeroinstall -name '*.ui' | sort | sed -e 's/\.ui/&.h/')
SH = zeroinstall/zerostore/_unlzma

all: translations
	$(PYTHON) setup.py build

translations: $(MO)

install: all
	$(PYTHON) setup.py install

%.mo: %.po
	msgfmt -o "$@" "$<"

%.ui.h: %.ui
	intltool-extract --type=gettext/glade --update "$<"

share/locale/zero-install.pot: $(PY) $(GTKBUILDER) $(SH)
	xgettext --sort-by-file --language=Python --output=$@ --keyword=N_ $(PY) $(GTKBUILDER)
	xgettext --sort-by-file --language=Shell -j --output=$@ $(SH)

update-po: share/locale/zero-install.pot
	@for po in share/locale/*/LC_MESSAGES/zero-install.po; do \
	    echo -e "Merge: $$po: \c"; \
	    msgmerge -v -U $$po share/locale/zero-install.pot; \
	done

check-po:
	@for po in share/locale/*/LC_MESSAGES/zero-install.po; do \
	    echo -e "Check: $$po: \c"; \
	    msgfmt -o /dev/null --statistics -v -c $$po; \
	done
clean:
	$(PYTHON) setup.py clean

.PHONY: all install update-po check-po clean

=== debian/changelog ===
zeroinstall-injector (0.51-2) unstable; urgency=low

  * Fixed build to use correct location for translations.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 05 Dec 2010 20:57:49 +0000

zeroinstall-injector (0.51-1) unstable; urgency=low

  * New upstream release.
  * Fixed typo in description. Closes: #604098

 -- Thomas Leonard <talex5@gmail.com>  Sun, 05 Dec 2010 20:05:47 +0000

zeroinstall-injector (0.50-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 21 Aug 2010 11:48:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Thomas Leonard <talex5@gmail.com>
 Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5)
-Standards-Version: 3.9.0.0
+Standards-Version: 3.9.1
 Homepage: http://0install.net/
 XS-Python-Version: >= 2.5
 DM-Upload-Allowed: yes
@@ -22,7 +22,7 @@
  its dependencies to use.
  .
  Zero Install is a decentralised installation system (there is no central
- repository; all packages are identified by URLs), loosly-coupled (if different
+ repository; all packages are identified by URLs), loosely-coupled (if different
  programs require different versions of a library then both versions are
  installed in parallel, without conflicts), and has an emphasis on security
  (all package descriptions are GPG-signed, and contain cryptographic hashes of

## zeroinstall-injector 1.2

=== debian/changelog ===
zeroinstall-injector (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 23 Jul 2011 10:43:53 +0100

zeroinstall-injector (1.1-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 25 Jun 2011 15:45:20 +0100

zeroinstall-injector (1.0-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Mon, 23 May 2011 09:17:18 +0100

zeroinstall-injector (1.0~rc1-1) unstable; urgency=low

  * New upstream release. Closes: #613354

 -- Thomas Leonard <talex5@gmail.com>  Fri, 29 Apr 2011 11:13:25 +0100

zeroinstall-injector (0.54-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 09 Apr 2011 09:59:16 +0100

zeroinstall-injector (0.53-1) unstable; urgency=low

  * New upstream release.
  * Removed dependency on python-central. Closes: #617156

 -- Thomas Leonard <talex5@gmail.com>  Sun, 13 Mar 2011 16:18:38 +0000

zeroinstall-injector (0.52-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Thu, 20 Jan 2011 20:13:21 +0000

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: admin
 Priority: extra
 Maintainer: Thomas Leonard <talex5@gmail.com>
-Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 5.0.37.2), python (>= 2.6)
+Standards-Version: 3.9.2.0
 Homepage: http://0install.net/
-XS-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 DM-Upload-Allowed: yes
 
 Package: zeroinstall-injector
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, gnupg, python-gtk2 (>= 2.12), bzip2, binutils, adduser, xdg-utils
-Recommends: unzip, rpm, lzma
-Suggests: cabextract, packagekit
+Recommends: unzip, rpm, lzma, packagekit
+Suggests: cabextract
 XB-Python-Version: ${python:Versions}
 Description: run programs by URL
  The Zero Install Injector makes it easy for users to install software without

=== debian/rules ===
--- 
+++ 
@@ -26,10 +26,10 @@
 	dh_testroot
 	dh_installchangelogs 
 	dh_installdocs
-	dh_installman 0launch.1 0alias.1 0store.1 0store-secure-add.1 0desktop.1
+	dh_installman 0launch.1 0alias.1 0store.1 0store-secure-add.1 0desktop.1 0install.1
 	dh_compress
 	dh_fixperms
-	dh_pycentral
+	dh_python2
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums

## zeroinstall-injector 1.4.1

=== debian/changelog ===
zeroinstall-injector (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Changed "rpm" dependency from "recommends" to "suggests".

 -- Thomas Leonard <talex5@gmail.com>  Sun, 16 Oct 2011 11:32:42 +0100

zeroinstall-injector (1.3-1) unstable; urgency=low

  * New upstream release. Closes: #640421 #640537

 -- Thomas Leonard <talex5@gmail.com>  Sun, 18 Sep 2011 13:50:46 +0100

## zeroinstall-injector 1.5

=== debian/changelog ===
zeroinstall-injector (1.5-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Thu, 29 Dec 2011 15:06:34 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Thomas Leonard <talex5@gmail.com>
-Build-Depends: debhelper (>= 5.0.37.2), python (>= 2.6)
+Build-Depends: debhelper (>= 5.0.37.2), python (>= 2.6), python-gobject (>= 2.12)
 Standards-Version: 3.9.2.0
 Homepage: http://0install.net/
 X-Python-Version: >= 2.6
@@ -11,8 +11,8 @@
 Package: zeroinstall-injector
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, gnupg, python-gtk2 (>= 2.12), bzip2, binutils, adduser, xdg-utils
-Recommends: unzip, rpm, lzma, packagekit
-Suggests: cabextract
+Recommends: unzip, lzma, packagekit, ca-certificates
+Suggests: cabextract, rpm
 XB-Python-Version: ${python:Versions}
 Description: run programs by URL
  The Zero Install Injector makes it easy for users to install software without

## zeroinstall-injector 1.6

=== debian/changelog ===
zeroinstall-injector (1.6-1ubuntu1) precise; urgency=low

  * Fixed API incompatibility with PackageKit's InstallPackages (LP: #953756).

 -- Thomas Leonard <talex5@gmail.com>  Fri, 16 Mar 2012 07:15:46 +0000

zeroinstall-injector (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 12 Feb 2012 15:19:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zeroinstall-injector
 Section: admin
 Priority: extra
-Maintainer: Thomas Leonard <talex5@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Leonard <talex5@gmail.com>
 Build-Depends: debhelper (>= 5.0.37.2), python (>= 2.6), python-gobject (>= 2.12)
 Standards-Version: 3.9.2.0
 Homepage: http://0install.net/
@@ -12,7 +13,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, gnupg, python-gtk2 (>= 2.12), bzip2, binutils, adduser, xdg-utils
 Recommends: unzip, lzma, packagekit, ca-certificates
-Suggests: cabextract, rpm
+Suggests: cabextract, rpm2cpio
 XB-Python-Version: ${python:Versions}
 Description: run programs by URL
  The Zero Install Injector makes it easy for users to install software without

## zeroinstall-injector 1.9

=== debian/changelog ===
zeroinstall-injector (1.9-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Wed, 27 Jun 2012 19:31:57 +0100

zeroinstall-injector (1.8-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 19 May 2012 12:22:25 +0100

zeroinstall-injector (1.7-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Fri, 06 Apr 2012 11:43:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: zeroinstall-injector
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Leonard <talex5@gmail.com>
+Maintainer: Thomas Leonard <talex5@gmail.com>
 Build-Depends: debhelper (>= 5.0.37.2), python (>= 2.6), python-gobject (>= 2.12)
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.3
 Homepage: http://0install.net/
 X-Python-Version: >= 2.6
 DM-Upload-Allowed: yes

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 	rm -rf $(CURDIR)/build
 	rm -f $(CURDIR)/zeroinstall/__init__.pyc
 	dh_clean 
+
+build: build-indep
+build-indep: build-stamp
+build-arch:
 
 build-stamp:
 	dh_testdir
@@ -21,7 +25,7 @@
 	python $(CURDIR)/setup.py install --install-layout=deb --root=$(CURDIR)/debian/zeroinstall-injector
 	rm -r $(CURDIR)/debian/zeroinstall-injector/usr/man
 
-binary-indep: build install
+binary-indep: build-stamp install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs

## zeroinstall-injector 1.15

=== debian/changelog ===
zeroinstall-injector (1.15-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Wed, 13 Feb 2013 10:17:05 +0000

zeroinstall-injector (1.14-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Mon, 14 Jan 2013 14:36:23 +0000

zeroinstall-injector (1.13-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 10 Nov 2012 12:46:17 +0000

zeroinstall-injector (1.12-1) unstable; urgency=low

  * New upstream release.
  * Note: Split packages (for headless servers) are available from:
      https://launchpad.net/~tal-it-innovation/+archive/ppa
    These improvements will be merged after Wheezy.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 29 Sep 2012 11:17:40 +0100

zeroinstall-injector (1.10-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Thu, 26 Jul 2012 07:28:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 	rm -f build-stamp
 	rm -rf $(CURDIR)/build
 	rm -f $(CURDIR)/zeroinstall/__init__.pyc
+	rm -f $(CURDIR)/zeroinstall/__pycache__
 	dh_clean 
 
 build: build-indep
@@ -20,9 +21,10 @@
 install: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
-	python $(CURDIR)/setup.py install --install-layout=deb --root=$(CURDIR)/debian/zeroinstall-injector
+	python3 $(CURDIR)/setup.py install --install-layout=deb --root=$(CURDIR)/debian/zeroinstall-injector
+	python $(CURDIR)/setup.py install --force --install-layout=deb --root=$(CURDIR)/debian/zeroinstall-injector
 	rm -r $(CURDIR)/debian/zeroinstall-injector/usr/man
 
 binary-indep: build-stamp install
@@ -33,6 +35,7 @@
 	dh_installman 0launch.1 0alias.1 0store.1 0store-secure-add.1 0desktop.1 0install.1
 	dh_compress
 	dh_fixperms
+	dh_python3
 	dh_python2
 	dh_installdeb
 	dh_gencontrol

## zeroinstall-injector 2.0

=== debian/changelog ===
zeroinstall-injector (2.0-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Wed, 06 Mar 2013 14:10:55 +0000

zeroinstall-injector (1.16-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 24 Feb 2013 15:29:19 +0000

=== debian/control ===
Source: zeroinstall-injector
Section: admin
Priority: extra
Maintainer: Thomas Leonard <talex5@gmail.com>
Build-Depends: debhelper (>= 7), python (>= 2.6), python-gobject (>= 2.12), python3 (>= 3.2), python3-gi
Standards-Version: 3.9.3
Homepage: http://0install.net/
X-Python-Version: >= 2.6
DM-Upload-Allowed: yes

Package: zeroinstall-injector
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, gnupg, python-gtk2 (>= 2.12), bzip2, binutils, adduser, xdg-utils
Recommends: unzip, lzma, packagekit, ca-certificates
Suggests: cabextract, rpm2cpio
XB-Python-Version: ${python:Versions}
Description: cross-distribution packaging system
 Zero Install is a decentralised cross-distribution software installation
 system available under the LGPL. It allows software developers to publish
 programs directly from their own web-sites, while supporting features familiar
 from centralised distribution repositories such as shared libraries, automatic
 updates and digital signatures. It is intended to complement, rather than
 replace, the operating system's package management. 0install packages never
 interfere with those provided by the distribution.

## zeroinstall-injector 2.3.2

=== debian/changelog ===
zeroinstall-injector (2.3.2-1) unstable; urgency=low

  * New (bugfix) upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 21 Jul 2013 17:24:43 +0000

zeroinstall-injector (2.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Wed, 10 Jul 2013 08:19:04 +0000

zeroinstall-injector (2.3-3) unstable; urgency=low

  * Moved binary-indep rules to binary-arch, as binary is now
    arch-specific. Closes: #714996

 -- Thomas Leonard <talex5@gmail.com>  Sat, 06 Jul 2013 07:24:51 +0000

zeroinstall-injector (2.3-2) unstable; urgency=low

  * Changed to "Architecture: any" as dependencies vary across
    architectures. Closes: #714996

 -- Thomas Leonard <talex5@gmail.com>  Fri, 05 Jul 2013 10:31:27 +0000

zeroinstall-injector (2.3-1) unstable; urgency=low

  * New upstream release. Closes: #709485
  * Now uses OCaml front-end for better performance.

 -- Thomas Leonard <talex5@gmail.com>  Thu, 04 Jul 2013 09:38:40 +0000

zeroinstall-injector (2.2-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Fri, 03 May 2013 13:36:55 +0000

zeroinstall-injector (2.1-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Thu, 04 Apr 2013 17:22:23 +0000

## zeroinstall-injector 2.3.3

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,20 @@
-
-
-PYTHON=python
+PYTHON=$(shell which python3 || which python2 || echo python)
 
 MO = $(shell find share/locale -name '*.po' | sort | sed -e 's/\.po/\.mo/')
 PY = $(shell find zeroinstall -name '*.py' | sort)
 GTKBUILDER = $(shell find zeroinstall -name '*.ui' | sort | sed -e 's/\.ui/&.h/')
 SH = zeroinstall/zerostore/_unlzma
 
-all: translations
+all_except_ocaml: translations
 	$(PYTHON) setup.py build
 
 translations: $(MO)
 
-install: all
-	$(PYTHON) setup.py install
+ocaml: all_except_ocaml
+	make -C ocaml ocaml
+
+install: all_except_ocaml
+	$(PYTHON) setup.py install --force
 
 %.mo: %.po
 	msgfmt -o "$@" "$<"
@@ -38,5 +39,6 @@
 	done
 clean:
 	$(PYTHON) setup.py clean
+	if [ -d ocaml/_build ]; then make -C ocaml clean; fi
 
-.PHONY: all install update-po check-po clean
+.PHONY: all install update-po check-po clean ocaml

=== ocaml/Makefile ===
BUILDDIR=_build
TYPE=native
DEBUG=-cflags -g
OCAMLBUILD=ocamlbuild ${DEBUG} -use-ocamlfind -build-dir "${BUILDDIR}"
ifeq ($(OS), Windows_NT)
  OCAMLBUILDFLAGS = -lflag -cclib -lflag -lshell32
endif

.PHONY: all ocaml doc clean tags test

all: test

test: ocaml
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) tests/test.$(TYPE)
	(cd tests && ../_build/tests/test.$(TYPE))

ocaml: 
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) main.$(TYPE)
	if [ "$(OS)" = "Windows_NT" ];then make ocaml_windows; else make ocaml_posix; fi

ocaml_windows:
	cp _build/main.$(TYPE) _build/0install.exe
	cp 0install.exe.manifest _build/
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) runenv.$(TYPE)
	cp _build/runenv.$(TYPE) _build/0install-runenv.exe

ocaml_posix:
	cp _build/main.$(TYPE) _build/0install
	[ -f 0install ] || ln -s _build/0install 0install

doc:
	ocp-pack -o support.ml.tmp support/logging.ml support/common.ml support/utils.ml support/basedir.ml support/qdom.ml support/system.ml
	echo '(** General support code; not 0install-specific *)' > support.ml
	cat support.ml.tmp >> support.ml
	rm support.ml.tmp
	$(OCAMLBUILD) 0install.docdir/index.html
	rm support.ml

clean:
	$(OCAMLBUILD) -clean

tags:
	ctags *.ml support/*.ml

=== debian/changelog ===
zeroinstall-injector (2.3.3-1) unstable; urgency=low

  * New (bugfix only) upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Wed, 28 Aug 2013 09:08:58 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: admin
 Priority: extra
 Maintainer: Thomas Leonard <talex5@gmail.com>
-Build-Depends: debhelper (>= 7), python (>= 2.6), python-gobject (>= 2.12), python3 (>= 3.2), python3-gi
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7), python (>= 2.6), python-gobject (>= 2.12), python3 (>= 3.2), python3-gi, ocaml-nox, dh-ocaml, ocaml-findlib, libyojson-ocaml-dev, libxmlm-ocaml-dev, camlp4-extra
+Standards-Version: 3.9.4
 Homepage: http://0install.net/
 X-Python-Version: >= 2.6
-DM-Upload-Allowed: yes
+Vcs-Browser: https://github.com/0install/0install-debian
+Vcs-Git: https://github.com/0install/0install-debian.git
 
 Package: zeroinstall-injector
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, gnupg, python-gtk2 (>= 2.12), bzip2, binutils, adduser, xdg-utils
-Recommends: unzip, lzma, packagekit, ca-certificates
+Architecture: any
+Depends: ${misc:Depends}, ${python:Depends}, gnupg, python-gtk2 (>= 2.12), bzip2, binutils, adduser, xdg-utils, ${ocaml:Depends}, ${shlibs:Depends}
+Recommends: unzip, lzma, packagekit | python3-aptdaemon.pkcompat, ca-certificates
 Suggests: cabextract, rpm2cpio
 XB-Python-Version: ${python:Versions}
 Description: cross-distribution packaging system

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+OCAMLABI := $(shell ocamlc -version)
 
 clean:
 	dh_testdir
@@ -9,13 +11,17 @@
 	rm -f $(CURDIR)/zeroinstall/__pycache__
 	dh_clean 
 
-build: build-indep
-build-indep: build-stamp
-build-arch:
+build: build-arch
+build-indep:
+build-arch: build-stamp
 
 build-stamp:
 	dh_testdir
-	python $(CURDIR)/setup.py build
+	if [ -x /usr/bin/ocamlopt ]; then \
+		make -C $(CURDIR) ocaml TYPE=native; \
+	else \
+		make -C $(CURDIR) ocaml TYPE=byte; \
+	fi
 	touch $@
 
 install: build-stamp
@@ -26,8 +32,11 @@
 	python3 $(CURDIR)/setup.py install --install-layout=deb --root=$(CURDIR)/debian/zeroinstall-injector
 	python $(CURDIR)/setup.py install --force --install-layout=deb --root=$(CURDIR)/debian/zeroinstall-injector
 	rm -r $(CURDIR)/debian/zeroinstall-injector/usr/man
+	if [ -x /usr/bin/ocamlopt ]; then \
+		dh_strip; dh_shlibdeps; \
+	fi
 
-binary-indep: build-stamp install
+binary-arch: build-stamp install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
@@ -37,12 +46,13 @@
 	dh_fixperms
 	dh_python3
 	dh_python2
+	dh_ocaml
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
 
-binary-arch: build install
+binary-indep: build-stamp install
 # We have nothing to do by default.
 
 binary: binary-indep binary-arch

=== debian/watch ===
version=3
http://sf.net/zero-install/0install-(.+)\.tar\.bz2

## zeroinstall-injector 2.7

=== Makefile ===
# When building with 0compile, these will get overridden.
# The defaults are the same as when building with 0compile in-place (e.g.
# in a Git checkout), so you don't need 0compile to build 0install, which
# would create a bootstapping problem.
SRCDIR = $(abspath .)
DISTDIR = $(abspath dist)
BUILDDIR = $(abspath build)

SH = ${SRCDIR}/share/0install.net/unlzma

# There are several things you might want to do:
#
# 1. a traditional install (e.g. under /usr/local or ~)
# 2. build a library for other 0install tools (e.g. 0compile)
# 3. for testing, in place (during development)
#
# New users and distribution packagers will want to do (1).
#
# When you do a plain "make":
#
# a) $DISTDIR ends up with a complete distribution suitable for publishing or
#    registering with 0install. $DISTDIR contains:
#    - Python source code
#    - Cross-platform OCaml bytecode
#    - A 0install binary feed, which can be registered with "0install add"
#
# b) A native "0install" executable is created in $BUILDDIR, but is not copied
#    to $DISTDIR (since it's not portable).
#
# To install as a normal package:	make && sudo make install
# To test without installing:     	make && ./dist/bin/0install
# To use as a library with other tools: 0compile build && 0compile register
# To publish a release on 0install.net: use 0release
# To make a generic build/static_dist:  make static_dist
#
# Running plain "make" does most of the same things that "0compile build" would do,
# except that it doesn't generate/update the binary feed (dist/0install/feed.xml).

default: all

# Ubuntu's make requires this to come before the %:: default rule.
%.ui.h: %.ui
	intltool-extract --type=gettext/glade --update "$<"

%.html: %.md
	redcarpet $< > $@ || (rm -f $@; false)

# Make needs to run from the build directory, but people always want to run it from
# the source directory. This rule matches all targets not defined here (i.e. those
# which operate on the build directory) and runs make again from the build directory,
# with Makefile.build.
%::
	[ -d "${BUILDDIR}" ] || mkdir "${BUILDDIR}"
	[ -d "${DISTDIR}" ] || mkdir "${DISTDIR}"
	make -C "${BUILDDIR}" -f "${SRCDIR}/Makefile.build" "$@" SRCDIR="${SRCDIR}" BUILDDIR="${BUILDDIR}" DISTDIR="${DISTDIR}" DESTDIR="${DESTDIR}"

share/locale/zero-install.pot: $(SH)
	xgettext --sort-by-file --language=Shell -j --output=$@ $(SH)

update-po: share/locale/zero-install.pot
	@for po in share/locale/*/LC_MESSAGES/zero-install.po; do \
	    echo -e "Merge: $$po: \c"; \
	    msgmerge -v -U $$po share/locale/zero-install.pot; \
	done

check-po:
	@for po in share/locale/*/LC_MESSAGES/zero-install.po; do \
	    echo -e "Check: $$po: \c"; \
	    msgfmt -o /dev/null --statistics -v -c $$po; \
	done

clean:
	rm -rf build
	rm -rf dist

.PHONY: update-po check-po clean default

=== ocaml/Makefile ===
OCAML_BUILDDIR=../build/ocaml
TYPE=native
DEBUG=-cflags -g
OCAMLBUILD=ocamlbuild -j 0 ${DEBUG} -build-dir "${OCAML_BUILDDIR}"
ifeq ($(OS), Windows_NT)
  WINDOWS_LIBS = $(shell dirname $(shell which ocamlc))
  OCAMLBUILDFLAGS = -lflag -cclib -lflag -lshell32
endif
TEST_BINARY=${OCAML_BUILDDIR}/tests/test.$(TYPE)
# Windows only: Set WINDRES, if it is neither called i686-w64-mingw32-windres.exe (i686)
# nor x86_64-w64-mingw32-windres.exe (x86_64).
# WINDRES=i686-w64-windres
# export WINDRES

.PHONY: all ocaml doc clean tags test

all: build_dir ocaml test

build_dir:
	[ -d "${OCAML_BUILDDIR}" ] || mkdir -p "${OCAML_BUILDDIR}"

test: ocaml
	@if [ -f "${TEST_BINARY}" ]; then "${TEST_BINARY}"; else echo "Unit-tests not compiled, so skipping tests"; fi

# Build static version (of $TYPE)
ocaml: build_dir
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) "all-${TYPE}.otarget"
	#cp 0install.ml "$(OCAML_BUILDDIR)/"
	if [ "$(OS)" = "Windows_NT" ];then make ocaml_windows; else make ocaml_posix; fi

# For static Windows version, we also need the runenv.native helper.
ocaml_windows:
	cp ${OCAML_BUILDDIR}/static_0install.$(TYPE) ${OCAML_BUILDDIR}/0install.exe
	cp ${OCAML_BUILDDIR}/runenv.native ${OCAML_BUILDDIR}/0install-runenv.exe
	ln -f "${OCAML_BUILDDIR}/0install.exe" "${OCAML_BUILDDIR}/0launch.exe"
	cp "${WINDOWS_LIBS}/libeay32.dll" "${WINDOWS_LIBS}/ssleay32.dll" "${OCAML_BUILDDIR}"

ocaml_posix:
	cp ${OCAML_BUILDDIR}/static_0install.$(TYPE) ${OCAML_BUILDDIR}/0install
	-[ -L 0install ] || ln -s ../build/ocaml/0install 0install
	@# so Vim can find the type annotations:
	-[ -L _build -o -e _build ] || ln -s ${OCAML_BUILDDIR} _build
	ln -f "${OCAML_BUILDDIR}/0install" "${OCAML_BUILDDIR}/0launch"

doc:
	ocp-pack -o support.ml.tmp support/logging.ml support/common.ml support/utils.ml support/basedir.ml support/qdom.ml support/system.ml
	echo '(** General support code; not 0install-specific *)' > support.ml
	cat support.ml.tmp >> support.ml
	rm support.ml.tmp
	$(OCAMLBUILD) 0install.docdir/index.html
	rm support.ml

# Results turn up in the "html" directory after running the unit-tests.
coverage:
	rm -f bisect*.out
	OCAML_COVERAGE=true make test
	ocaml-bisect-report -I "${OCAML_BUILDDIR}" -html html "bisect0001.out"

clean:
	$(OCAMLBUILD) -clean

tags:
	ctags -R [a-z]*

=== debian/changelog ===
zeroinstall-injector (2.7-3) unstable; urgency=medium

  * Added missing "Pre-Depends: dpkg (>= 1.17.5)" for previous fix.
    Closes: #768237

 -- Thomas Leonard <talex5@gmail.com>  Sun, 16 Nov 2014 20:42:23 +0000

zeroinstall-injector (2.7-2) unstable; urgency=medium

  * Remove old conffile and directory when upgrading from the old
    zeroinstall-injector package. Closes: #768237

 -- Thomas Leonard <talex5@gmail.com>  Sun, 16 Nov 2014 12:47:35 +0000

zeroinstall-injector (2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Tue, 27 May 2014 10:53:31 +0000

zeroinstall-injector (2.6.1-1) unstable; urgency=medium

  * New upstream release. The Python dependency is now gone.

 -- Thomas Leonard <talex5@gmail.com>  Mon, 03 Feb 2014 16:23:29 +0000

zeroinstall-injector (2.3.3-2) unstable; urgency=low

  * Split into 0install and 0install-core packages, to avoid pulling in
    GUI dependencies on headless systems.

 -- Thomas Leonard <talex5@gmail.com>  Mon, 23 Dec 2013 12:14:15 +0000

=== debian/control ===
Source: zeroinstall-injector
Section: admin
Priority: extra
Maintainer: Thomas Leonard <talex5@gmail.com>
Build-Depends: debhelper (>= 9), ocaml-nox, dh-ocaml, ocaml-findlib, libyojson-ocaml-dev, libxmlm-ocaml-dev, camlp4-extra, gettext, liblwt-ocaml-dev, libounit-ocaml-dev, libextlib-ocaml-dev, libcurl-ocaml-dev, libssl-ocaml-dev, libobus-ocaml-dev, liblablgtk2-ocaml-dev, liblwt-glib-ocaml-dev, unzip
Standards-Version: 3.9.6
Homepage: http://0install.net/
Vcs-Browser: https://github.com/0install/0install-debian
Vcs-Git: https://github.com/0install/0install-debian.git

Package: 0install
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, 0install-core (>= ${source:Version}), libgtk2.0-0
Description: cross-distribution packaging system
 Zero Install is a decentralised cross-distribution software installation
 system available under the LGPL. It allows software developers to publish
 programs directly from their own web-sites, while supporting features familiar
 from centralised distribution repositories such as shared libraries, automatic
 updates and digital signatures. It is intended to complement, rather than
 replace, the operating system's package management. 0install packages never
 interfere with those provided by the distribution.
 .
 This package includes the GTK GUI for 0install. If you have a headless system,
 install just the 0install-core package to avoid pulling in any GUI
 dependencies.

Package: 0install-core
Architecture: any
Depends: ${misc:Depends}, gnupg, bzip2, binutils, adduser, xdg-utils, ca-certificates, ${shlibs:Depends}
Recommends: unzip, lzma, packagekit | python3-aptdaemon.pkcompat
Suggests: cabextract, rpm2cpio, 0install
Provides: zeroinstall-injector
Replaces: zeroinstall-injector (<< 2.3.3-2)
Breaks: zeroinstall-injector (<< 2.3.3-2)
Description: cross-distribution packaging system (non-GUI parts)
 Zero Install is a decentralised cross-distribution software installation
 system available under the LGPL. It allows software developers to publish
 programs directly from their own web-sites, while supporting features familiar
 from centralised distribution repositories such as shared libraries, automatic
 updates and digital signatures. It is intended to complement, rather than
 replace, the operating system's package management. 0install packages never
 interfere with those provided by the distribution.

Package: zeroinstall-injector
Architecture: all
Section: oldlibs
Pre-Depends: dpkg (>= 1.17.5)
Depends: ${misc:Depends}, 0install, 0install-core
Description: transitional package for 0install
 This is a transitional package for 0install, and can be safely removed
 after the installation is complete.
 .
 Note: If you have a headless system, install just the 0install-core package to
 avoid pulling in any GUI dependencies.

=== debian/rules ===
#!/usr/bin/make -f

OCAMLABI := $(shell ocamlc -version)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf $(CURDIR)/build
	dh_clean 

build: build-arch
build-indep:
build-arch: build-stamp

build-stamp:
	dh_testdir
	if [ -x /usr/bin/ocamlopt ]; then \
		make -C $(CURDIR) TYPE=native; \
	else \
		make -C $(CURDIR) TYPE=byte; \
	fi
	touch $@

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(CURDIR)/dist/install.sh $(CURDIR)/debian/0install-core/usr
	mkdir -p $(CURDIR)/debian/0install/usr/lib/0install.net
	mv $(CURDIR)/debian/0install-core/usr/lib/0install.net/gui_gtk.* $(CURDIR)/debian/0install/usr/lib/0install.net/
	rmdir $(CURDIR)/debian/0install-core/usr/lib/0install.net
	rmdir $(CURDIR)/debian/0install-core/usr/lib
	mv $(CURDIR)/debian/0install-core/usr/share/zsh/site-functions $(CURDIR)/debian/0install-core/usr/share/zsh/vendor-completions
	rm -r $(CURDIR)/debian/0install-core/usr/share/doc/0install
	if [ -x /usr/bin/ocamlopt ]; then \
		dh_strip; dh_shlibdeps; \
	fi

binary-arch: build-stamp install
	dh_testdir
	dh_testroot
	dh_installchangelogs -p 0install-core
	dh_installdocs --link-doc=0install-core
	dh_installman
	dh_compress
	dh_fixperms
	#dh_ocaml		(not for -custom bytecode)
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build-stamp install
# We have nothing to do by default.

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## zeroinstall-injector 2.8

=== ocaml/Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 OCAML_BUILDDIR=../build/ocaml
 TYPE=native
-DEBUG=-cflags -g
-OCAMLBUILD=ocamlbuild -j 0 ${DEBUG} -build-dir "${OCAML_BUILDDIR}"
+OCAMLBUILD=ocamlbuild -j 0 -build-dir "${OCAML_BUILDDIR}"
 ifeq ($(OS), Windows_NT)
   WINDOWS_LIBS = $(shell dirname $(shell which ocamlc))
   OCAMLBUILDFLAGS = -lflag -cclib -lflag -lshell32
@@ -57,6 +56,7 @@
 	ocaml-bisect-report -I "${OCAML_BUILDDIR}" -html html "bisect0001.out"
 
 clean:
+	mkdir -p ${OCAML_BUILDDIR}
 	$(OCAMLBUILD) -clean
 
 tags:

=== debian/changelog ===
zeroinstall-injector (2.8-1build1) wily; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Oct 2015 17:33:31 +0000

zeroinstall-injector (2.8-1) unstable; urgency=medium

  * New upstream release. Closes: #763809.
  * Made binutils only a Build-Depends.
  * Fixed E-binary-arch-produces-all build warning.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 22 Nov 2014 13:26:05 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Thomas Leonard <talex5@gmail.com>
-Build-Depends: debhelper (>= 9), ocaml-nox, dh-ocaml, ocaml-findlib, libyojson-ocaml-dev, libxmlm-ocaml-dev, camlp4-extra, gettext, liblwt-ocaml-dev, libounit-ocaml-dev, libextlib-ocaml-dev, libcurl-ocaml-dev, libssl-ocaml-dev, libobus-ocaml-dev, liblablgtk2-ocaml-dev, liblwt-glib-ocaml-dev, unzip
+Build-Depends: debhelper (>= 9), ocaml-nox, dh-ocaml, ocaml-findlib, libyojson-ocaml-dev, libxmlm-ocaml-dev, camlp4-extra, gettext, liblwt-ocaml-dev, libounit-ocaml-dev, libextlib-ocaml-dev, libcurl-ocaml-dev, libssl-ocaml-dev, libobus-ocaml-dev, liblablgtk2-ocaml-dev, liblwt-glib-ocaml-dev, unzip, binutils
 Standards-Version: 3.9.6
 Homepage: http://0install.net/
 Vcs-Browser: https://github.com/0install/0install-debian
@@ -26,7 +26,7 @@
 
 Package: 0install-core
 Architecture: any
-Depends: ${misc:Depends}, gnupg, bzip2, binutils, adduser, xdg-utils, ca-certificates, ${shlibs:Depends}
+Depends: ${misc:Depends}, gnupg, bzip2, adduser, xdg-utils, ca-certificates, ${shlibs:Depends}
 Recommends: unzip, lzma, packagekit | python3-aptdaemon.pkcompat
 Suggests: cabextract, rpm2cpio, 0install
 Provides: zeroinstall-injector

=== debian/rules ===
--- 
+++ 
@@ -42,18 +42,25 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs -p 0install-core
-	dh_installdocs --link-doc=0install-core
-	dh_installman
-	dh_compress
-	dh_fixperms
+	dh_installdocs -a --link-doc=0install-core
+	dh_installman -a
+	dh_compress -a
+	dh_fixperms -a
 	#dh_ocaml		(not for -custom bytecode)
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_installdeb -a
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
 
-binary-indep: build-stamp install
-# We have nothing to do by default.
+binary-indep:
+	dh_testdir
+	dh_testroot
+	dh_installdocs -i --link-doc=0install-core
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 binary: binary-indep binary-arch
